// creator  : weidu.exe (version 23100)
// argument : MGASS01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MGASS01~

IF ~!Global("SpawnTeosAssasin","GLOBAL",2)~ THEN BEGIN 0 // from:
  SAY #42269 /* ~You there! You are <CHARNAME>, are you not? I have a message, a message from the Cowled Wizards.~ */
  IF ~~ THEN GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #42295 /* ~Return to your Planar Sphere at once. Teos awaits you there with urgent news. Make haste, or all is lost.~ */
  IF ~~ THEN DO ~SetGlobal("MageAmbush","GLOBAL",1)
SetGlobal("SpawnTeosAssasin","GLOBAL",1)
EscapeArea()~ UNSOLVED_JOURNAL #55635 /* ~Mage Stronghold: A messenger from Teos?

A messenger approached me to say that I should return to the Planar Sphere at once. Teos apparently awaits there with urgent news.~ */ EXIT
END

IF ~Global("SpawnTeosAssasin","GLOBAL",2)~ THEN BEGIN 2 // from:
  SAY #42296 /* ~There! Get them! All must die! For the glory of Argrim!~ */
  IF ~~ THEN DO ~ActionOverride("mgass02",Enemy())
ActionOverride("mgass03",Enemy())
ActionOverride("parmonk",Enemy())
ActionOverride("pardru",Enemy())
ActionOverride("parthf",Enemy())
ActionOverride("parfig16",Enemy())
SetGlobal("DoFight","AR0411",1)
Enemy()~ UNSOLVED_JOURNAL #55629 /* ~Mage Stronghold: Ambush!

Teos had not summoned me to the sphere. It was an ambush to get us both. We were attacked by a strange assailant. He screamed about the 'glory of Argrim.'~ */ EXIT
END
